Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/frontparts/bloc/category.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/frontparts/bloc/category.tpl	(revision 21132)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/frontparts/bloc/category.tpl	(revision 21317)
@@ -20,7 +20,7 @@
  * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  *}-->
-<!--商品カテゴリーここから-->
+<!--商品カテゴリここから-->
 <section id="category_area">
-<h2 class="title_block">商品カテゴリー</h2>
+<h2 class="title_block">商品カテゴリ</h2>
 <nav id="categorytree">
 <ul id="categorytreelist">
@@ -70,5 +70,5 @@
 <script>
 //<![CDATA[
-initCategoryList(); //カテゴリーリストの初期化
+initCategoryList(); //カテゴリリストの初期化
 //]]>
 </script>
Index: /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/bloc/category.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/bloc/category.tpl	(revision 20967)
+++ /branches/version-2_11-dev/data/Smarty/templates/default/frontparts/bloc/category.tpl	(revision 21317)
@@ -29,5 +29,5 @@
     <div id="category_area">
         <div class="bloc_body">
-            <h2><img src="<!--{$TPL_URLPATH}-->img/title/tit_bloc_category.gif" alt="商品カテゴリー" /></h2>
+            <h2><img src="<!--{$TPL_URLPATH}-->img/title/tit_bloc_category.gif" alt="商品カテゴリ" /></h2>
             <!--{strip}-->
                 <ul id="categorytree">
Index: /branches/version-2_11-dev/data/Smarty/templates/mobile/frontparts/bloc/category.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/mobile/frontparts/bloc/category.tpl	(revision 20838)
+++ /branches/version-2_11-dev/data/Smarty/templates/mobile/frontparts/bloc/category.tpl	(revision 21317)
@@ -22,5 +22,5 @@
  */
 *}-->
-<!--▼商品カテゴリーここから-->
+<!--▼商品カテゴリここから-->
 <!--{1|numeric_emoji}-->商品カテゴリ<br>
 <!--{section name=cnt loop=$arrCat}-->
@@ -33,3 +33,3 @@
 　<font color="<!--{cycle values="#000000,#880000,#8888ff,#88ff88,#ff0000"}-->">■</font><a href="<!--{$path}-->?category_id=<!--{$arrCat[cnt].category_id}-->"><!--{$disp_name|sfCutString:10:false|h}--></a><br>
 <!--{/section}-->
-<!--▲商品カテゴリーここまで-->
+<!--▲商品カテゴリここまで-->
Index: /branches/version-2_11-dev/data/Smarty/templates/admin/products/subnavi.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/admin/products/subnavi.tpl	(revision 20970)
+++ /branches/version-2_11-dev/data/Smarty/templates/admin/products/subnavi.tpl	(revision 21317)
@@ -29,6 +29,6 @@
 <li<!--{if $tpl_subno == 'class'}--> class="on"<!--{/if}--> id="navi-products-class"><a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->products/class.php"><span>規格管理</span></a></li>
 <!--{/if}-->
-<li<!--{if $tpl_subno == 'category'}--> class="on"<!--{/if}--> id="navi-products-category"><a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->products/category.php"><span>カテゴリー登録</span></a></li>
-<li<!--{if $tpl_subno == 'upload_csv_category'}--> class="on"<!--{/if}--> id="navi-products-upload-csv-category"><a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->products/upload_csv_category.php"><span>カテゴリー登録CSV</span></a></li>
+<li<!--{if $tpl_subno == 'category'}--> class="on"<!--{/if}--> id="navi-products-category"><a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->products/category.php"><span>カテゴリ登録</span></a></li>
+<li<!--{if $tpl_subno == 'upload_csv_category'}--> class="on"<!--{/if}--> id="navi-products-upload-csv-category"><a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->products/upload_csv_category.php"><span>カテゴリ登録CSV</span></a></li>
 <li<!--{if $tpl_subno == 'maker'}--> class="on"<!--{/if}--> id="navi-products-maker"><a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->products/maker.php"><span>メーカー登録</span></a></li>
 <li<!--{if $tpl_subno == 'product_rank'}--> class="on"<!--{/if}--> id="navi-products-rank"><a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->products/product_rank.php"><span>商品並び替え</span></a></li>
Index: /branches/version-2_11-dev/data/class/helper/SC_Helper_DB.php
===================================================================
--- /branches/version-2_11-dev/data/class/helper/SC_Helper_DB.php	(revision 21185)
+++ /branches/version-2_11-dev/data/class/helper/SC_Helper_DB.php	(revision 21317)
@@ -297,5 +297,5 @@
 
     /**
-     * カテゴリツリーの取得を複数カテゴリーで行う.
+     * カテゴリツリーの取得を複数カテゴリで行う.
      *
      * @param integer $product_id 商品ID
@@ -346,8 +346,8 @@
 
     /**
-     * 親カテゴリーを連結した文字列を取得する.
+     * 親カテゴリを連結した文字列を取得する.
      *
      * @param integer $category_id カテゴリID
-     * @return string 親カテゴリーを連結した文字列
+     * @return string 親カテゴリを連結した文字列
      */
     function sfGetCatCombName($category_id){
@@ -357,5 +357,5 @@
         $ConbName = "";
 
-        // カテゴリー名称を取得する
+        // カテゴリ名称を取得する
         foreach($arrCatID as $key => $val){
             $sql = "SELECT category_name FROM dtb_category WHERE category_id = ?";
@@ -371,13 +371,13 @@
 
     /**
-     * 指定したカテゴリーIDのカテゴリーを取得する.
+     * 指定したカテゴリIDのカテゴリを取得する.
      *
      * @param integer $category_id カテゴリID
-     * @return array 指定したカテゴリーIDのカテゴリー
+     * @return array 指定したカテゴリIDのカテゴリ
      */
     function sfGetCat($category_id){
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
-        // カテゴリーを取得する
+        // カテゴリを取得する
         $arrVal = array($category_id);
         $res = $objQuery->select('category_id AS id, category_name AS name', 'dtb_category', 'category_id = ?', $arrVal);
@@ -387,8 +387,8 @@
 
     /**
-     * 指定したカテゴリーIDの大カテゴリーを取得する.
+     * 指定したカテゴリIDの大カテゴリを取得する.
      *
      * @param integer $category_id カテゴリID
-     * @return array 指定したカテゴリーIDの大カテゴリー
+     * @return array 指定したカテゴリIDの大カテゴリ
      */
     function sfGetFirstCat($category_id){
@@ -399,5 +399,5 @@
         $arrRet['id'] = $arrCatID[0];
 
-        // カテゴリー名称を取得する
+        // カテゴリ名称を取得する
         $sql = "SELECT category_name FROM dtb_category WHERE category_id = ?";
         $arrVal = array($arrRet['id']);
@@ -448,5 +448,5 @@
 
     /**
-     * カテゴリーツリーの取得を行う.
+     * カテゴリツリーの取得を行う.
      *
      * 親カテゴリの Value=0 を対象とする
Index: /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php	(revision 21185)
+++ /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php	(revision 21317)
@@ -48,5 +48,5 @@
         parent::init();
         $this->tpl_maintitle = '商品管理';
-        $this->tpl_subtitle = 'カテゴリー登録';
+        $this->tpl_subtitle = 'カテゴリ登録';
         $this->tpl_mainpage = 'products/category.tpl';
         $this->tpl_mainno = 'products';
@@ -80,5 +80,5 @@
 
         switch($this->getMode()) {
-        // カテゴリー登録/編集実行
+        // カテゴリ登録/編集実行
         case 'edit':
             $category_id = $objFormParam->getValue('category_id');
@@ -296,5 +296,5 @@
      * 下記の場合は, 登録を実行せず、エラーメッセージを表示する
      *
-     * - カテゴリー登録数の上限を超える場合
+     * - カテゴリ登録数の上限を超える場合
      * - 階層登録数の上限を超える場合
      * - カテゴリ名がすでに使用されている場合
@@ -341,5 +341,5 @@
         }
 
-        // カテゴリー登録
+        // カテゴリ登録
         $this->registerCategory($objFormParam->getValue('parent_category_id'),
                                 $objFormParam->getValue('category_name'),
Index: /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSVCategory.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSVCategory.php	(revision 21185)
+++ /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSVCategory.php	(revision 21317)
@@ -27,5 +27,5 @@
 
 /**
- * カテゴリー登録CSVのページクラス
+ * カテゴリ登録CSVのページクラス
  *
  * LC_Page_Admin_Products_UploadCSV をカスタマイズする場合はこのクラスを編集する.
@@ -73,5 +73,5 @@
         $this->tpl_subno    = 'upload_csv_category';
         $this->tpl_maintitle = '商品管理';
-        $this->tpl_subtitle = 'カテゴリー登録CSV';
+        $this->tpl_subtitle = 'カテゴリ登録CSV';
         $this->csv_id = '5';
 
@@ -350,5 +350,5 @@
 
     /**
-     * カテゴリー登録を行う.
+     * カテゴリ登録を行う.
      *
      * FIXME: 登録の実処理自体は、LC_Page_Admin_Products_Categoryと共通化して欲しい。
Index: /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 21185)
+++ /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 21317)
@@ -414,5 +414,5 @@
         }
 
-        // カテゴリー登録
+        // カテゴリ登録
         if($arrList['category_ids'] != "") {
             $arrCategory_id = explode(',', $arrList['category_ids']);
Index: /branches/version-2_11-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php	(revision 20810)
+++ /branches/version-2_11-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php	(revision 21317)
@@ -65,5 +65,5 @@
         switch ( SC_Display_Ex::detectDevice() ) {
             case DEVICE_TYPE_MOBILE:
-                // メインカテゴリーの取得
+                // メインカテゴリの取得
                 $this->arrCat = $this->lfGetMainCat(true);
                 break;
@@ -117,5 +117,5 @@
      * @param array $arrParentCategoryId 親カテゴリの配列
      * @param boolean $count_check 登録商品数をチェックする場合はtrue
-     * @return array $arrRet カテゴリーツリーの配列を返す
+     * @return array $arrRet カテゴリツリーの配列を返す
      */
     function lfGetCatTree($arrParentCategoryId, $count_check = false) {
@@ -166,8 +166,8 @@
 
     /**
-     * メインカテゴリーの取得.
+     * メインカテゴリの取得.
      *
      * @param boolean $count_check 登録商品数をチェックする場合はtrue
-     * @return array $arrMainCat メインカテゴリーの配列を返す
+     * @return array $arrMainCat メインカテゴリの配列を返す
      */
     function lfGetMainCat($count_check = false) {
@@ -175,5 +175,5 @@
         $col = '*';
         $from = 'dtb_category left join dtb_category_total_count using (category_id)';
-        // メインカテゴリーとその直下のカテゴリーを取得する。
+        // メインカテゴリとその直下のカテゴリを取得する。
         $where = 'level <= 2 AND del_flg = 0';
         // 登録商品数のチェック
@@ -183,5 +183,5 @@
         $objQuery->setOption('ORDER BY rank DESC');
         $arrRet = $objQuery->select($col, $from, $where);
-        // メインカテゴリーを抽出する。
+        // メインカテゴリを抽出する。
         $arrMainCat = array();
         foreach ($arrRet as $cat) {
@@ -189,5 +189,5 @@
                 continue;
             }
-            // 子カテゴリーを持つかどうかを調べる。
+            // 子カテゴリを持つかどうかを調べる。
             $arrChildrenID = SC_Utils_Ex::sfGetUnderChildrenArray(
                 $arrRet,
Index: /branches/version-2_11-dev/data/class/pages/LC_Page_Sitemap.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/LC_Page_Sitemap.php	(revision 20946)
+++ /branches/version-2_11-dev/data/class/pages/LC_Page_Sitemap.php	(revision 21317)
@@ -212,5 +212,5 @@
     function getAllProducts() {
 
-        // XXX: 商品登録の無いカテゴリーは除外する方が良い気もする
+        // XXX: 商品登録の無いカテゴリは除外する方が良い気もする
         $objQuery = SC_Query_Ex::getSingletonInstance();
         $sql = "SELECT category_id FROM dtb_category WHERE del_flg = 0";
Index: /branches/version-2_11-dev/data/class/pages/products/LC_Page_Products_CategoryList.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/products/LC_Page_Products_CategoryList.php	(revision 20764)
+++ /branches/version-2_11-dev/data/class/pages/products/LC_Page_Products_CategoryList.php	(revision 21317)
@@ -65,5 +65,5 @@
         $this->lfCheckCategoryId();
 
-        // カテゴリー情報を取得する。
+        // カテゴリ情報を取得する。
         $objFormParam = $this->lfInitParam($_REQUEST);
         $arrCategoryData = $this->lfGetCategories($objFormParam->getValue('category_id'), true, $this);
@@ -91,14 +91,14 @@
 
     /**
-     * 選択されたカテゴリーとその子カテゴリーの情報を取得し、
+     * 選択されたカテゴリとその子カテゴリの情報を取得し、
      * ページオブジェクトに格納する。
      *
-     * @param string $category_id カテゴリーID
-     * @param boolean $count_check 有効な商品がないカテゴリーを除くかどうか
+     * @param string $category_id カテゴリID
+     * @param boolean $count_check 有効な商品がないカテゴリを除くかどうか
      * @param object &$objPage ページオブジェクト
      * @return void
      */
     function lfGetCategories($category_id, $count_check = false, &$objPage) {
-        // カテゴリーの正しいIDを取得する。
+        // カテゴリの正しいIDを取得する。
         $category_id = $this->lfCheckCategoryId($category_id);
         if ($category_id == 0) {
@@ -106,10 +106,10 @@
         }
 
-        $arrCategory = null;    // 選択されたカテゴリー
-        $arrChildren = array(); // 子カテゴリー
+        $arrCategory = null;    // 選択されたカテゴリ
+        $arrChildren = array(); // 子カテゴリ
 
         $arrAll = SC_Helper_DB_Ex::sfGetCatTree($category_id, $count_check);
         foreach ($arrAll as $category) {
-            // 選択されたカテゴリーの場合
+            // 選択されたカテゴリの場合
             if ($category['category_id'] == $category_id) {
                 $arrCategory = $category;
@@ -117,10 +117,10 @@
             }
 
-            // 関係のないカテゴリーはスキップする。
+            // 関係のないカテゴリはスキップする。
             if ($category['parent_category_id'] != $category_id) {
                 continue;
             }
 
-            // 子カテゴリーの場合は、孫カテゴリーが存在するかどうかを調べる。
+            // 子カテゴリの場合は、孫カテゴリが存在するかどうかを調べる。
             $arrGrandchildrenID = SC_Utils_Ex::sfGetUnderChildrenArray($arrAll, 'parent_category_id', 'category_id', $category['category_id']);
             $category['has_children'] = count($arrGrandchildrenID) > 0;
@@ -132,5 +132,5 @@
         }
 
-        // 子カテゴリーの商品数を合計する。
+        // 子カテゴリの商品数を合計する。
         $children_product_count = 0;
         foreach ($arrChildren as $category) {
@@ -138,7 +138,7 @@
         }
 
-        // 選択されたカテゴリーに直属の商品がある場合は、子カテゴリーの先頭に追加する。
+        // 選択されたカテゴリに直属の商品がある場合は、子カテゴリの先頭に追加する。
         if ($arrCategory['product_count'] > $children_product_count) {
-            $arrCategory['product_count'] -= $children_product_count; // 子カテゴリーの商品数を除く。
+            $arrCategory['product_count'] -= $children_product_count; // 子カテゴリの商品数を除く。
             $arrCategory['has_children'] = false; // 商品一覧ページに遷移させるため。
             array_unshift($arrChildren, $arrCategory);
Index: /branches/version-2_11-dev/data/class/pages/products/LC_Page_Products_List.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 21265)
+++ /branches/version-2_11-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 21317)
@@ -383,5 +383,5 @@
         $objQuery   =& SC_Query_Ex::getSingletonInstance();
         $arrSearch  = array('category' => '指定なし', 'maker' => '指定なし', 'name' => '指定なし');
-        // カテゴリー検索条件
+        // カテゴリ検索条件
         if ($arrSearchData['category_id'] > 0) {
             $arrSearch['category']  = $objQuery->get('category_name', 'dtb_category', 'category_id = ?', array($arrSearchData['category_id']));
Index: /branches/version-2_11-dev/data/class/SC_CustomerList.php
===================================================================
--- /branches/version-2_11-dev/data/class/SC_CustomerList.php	(revision 21308)
+++ /branches/version-2_11-dev/data/class/SC_CustomerList.php	(revision 21317)
@@ -302,11 +302,11 @@
         }
 
-        // カテゴリーを選択している場合のみ絞込検索を行う
+        // カテゴリを選択している場合のみ絞込検索を行う
         if (!isset($this->arrSql['search_category_id'])) $this->arrSql['search_category_id'] = "";
         if ( strlen($this->arrSql['search_category_id']) > 0){
-            // カテゴリーで絞込検索を行うSQL文生成
+            // カテゴリで絞込検索を行うSQL文生成
             list($tmp_where, $tmp_arrval) = $objDb->sfGetCatWhere($this->arrSql['search_category_id']);
 
-            // カテゴリーで絞込みが可能の場合
+            // カテゴリで絞込みが可能の場合
             if($tmp_where != "") {
                 $this->setWhere( " customer_id IN (SELECT distinct customer_id FROM dtb_order WHERE order_id IN (SELECT distinct order_id FROM dtb_order_detail WHERE product_id IN (SELECT product_id FROM dtb_product_categories WHERE ".$tmp_where." ))) ");
Index: /branches/version-2_11-dev/test/createEcCubeData-v25.php
===================================================================
--- /branches/version-2_11-dev/test/createEcCubeData-v25.php	(revision 21186)
+++ /branches/version-2_11-dev/test/createEcCubeData-v25.php	(revision 21317)
@@ -629,5 +629,5 @@
 
     /**
-    * 総カテゴリー数を計算し、dtb_categoryに代入するrankに使う
+    * 総カテゴリ数を計算し、dtb_categoryに代入するrankに使う
     */
     function lfGetTotalCategoryrank(){
Index: /branches/version-2_11-dev/html/user_data/packages/default/css/bloc.css
===================================================================
--- /branches/version-2_11-dev/html/user_data/packages/default/css/bloc.css	(revision 21253)
+++ /branches/version-2_11-dev/html/user_data/packages/default/css/bloc.css	(revision 21317)
@@ -14,5 +14,5 @@
 -新着情報
 -現在のカゴの中
--カテゴリー
+-カテゴリ
 -ガイドリンク
 -ログイン（サイド用）
@@ -179,5 +179,5 @@
 
 /* ===============================================
-▼カテゴリー
+▼カテゴリ
 =============================================== */
 #category_area .bloc_body{