Index: /branches/version-2_11-dev/html/handle_error.php
===================================================================
--- /branches/version-2_11-dev/html/handle_error.php	(revision 21384)
+++ /branches/version-2_11-dev/html/handle_error.php	(revision 21400)
@@ -24,16 +24,6 @@
 ob_start('_fatal_error_handler');
 
-// E_DEPRECATED 定数 (for PHP < 5.3)
-// TODO バージョン互換処理に統合したい。
-if (!defined('E_DEPRECATED')) {
-    define('E_DEPRECATED', 8192);
-}
-
-// エラーレベル設定
-// 開発時は E_ALL を推奨
-error_reporting(E_ALL & ~E_NOTICE & ~E_USER_NOTICE & ~E_DEPRECATED);
-
 // E_USER_ERROR を捕捉した場合にエラー画面を表示させるためのエラーハンドラ
-set_error_handler('handle_error', error_reporting());
+set_error_handler('handle_error');
 
 /**
@@ -73,6 +63,6 @@
  * trigger_error にて E_USER_ERROR が生成されると, エラーログを出力した後,
  * エラー画面を表示させる.
- * E_WARNING, E_USER_WARNING が発生した場合、ログを記録して、true を返す。
- * (エラー画面・エラー文言は表示させない。)
+ *
+ * E_USER_ERROR 以外のエラーが生成された場合, この関数は true を返す.
  *
  * @param integer $errno エラーコード
@@ -81,30 +71,21 @@
  * @param integer $errline エラーが発生した行番号
  * @return void|boolean E_USER_ERROR が発生した場合は, エラーページへリダイレクト;
- *                      E_WARNING, E_USER_WARNING が発生した場合、true を返す
+ *                      E_USER_ERROR 以外の場合は true
  */
 function handle_error($errno, $errstr, $errfile, $errline) {
-
-    // error_reporting 設定に含まれていないエラーコードは処理しない
-    if (!(error_reporting() & $errno)) {
-        return;
-    }
-
     $now = date("Y/m/d H:i:s");
     switch ($errno) {
-        case E_USER_ERROR:
-            error_log($now . " [$errfile] FATAL Error($errno) $errfile:$errline $errstr from ". $_SERVER['REMOTE_ADDR'] . "\n", 3, realpath(dirname(__FILE__) . "/" . HTML2DATA_DIR . "logs/site.log"));
+    case E_USER_ERROR:
+        error_log($now . " [$errfile] FATAL Error($errno) $errfile:$errline $errstr from ". $_SERVER['REMOTE_ADDR'] . "\n", 3, realpath(dirname(__FILE__) . "/" . HTML2DATA_DIR . "logs/site.log"));
 
-            displaySystemError($errstr);
-            exit(1);
-            break;
+        displaySystemError($errstr);
+        exit(1);
+        break;
 
-        case E_WARNING:
-        case E_USER_WARNING:
-            error_log($now . " [$errfile] WARNING($errno) $errfile:$errline $errstr from ". $_SERVER['REMOTE_ADDR'] . "\n", 3, realpath(dirname(__FILE__) . "/" . HTML2DATA_DIR . "logs/site.log"));
-            return true;
-            break;
-
-        default:
+    case E_USER_WARNING:
+    case E_USER_NOTICE:
+    default:
     }
+    return true;
 }
 
Index: /branches/version-2_11-dev/html/install/sql/insert_data.sql
===================================================================
--- /branches/version-2_11-dev/html/install/sql/insert_data.sql	(revision 21387)
+++ /branches/version-2_11-dev/html/install/sql/insert_data.sql	(revision 21400)
@@ -246,5 +246,5 @@
 INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (10, 1, '(SELECT name as maker_name FROM dtb_maker WHERE prdcls.maker_id = dtb_maker.maker_id) as maker_name', 'メーカー名', 10, 2, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'KVa', 'STEXT_LEN', 'SPTAB_CHECK,MAX_LENGTH_CHECK');
 INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (11, 1, 'name', '商品名', 11, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'KVa', 'STEXT_LEN', 'SPTAB_CHECK,MAX_LENGTH_CHECK,EXIST_CHECK');
-INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (12, 1, 'status', '表示ステータス(公開・非公開)', 12, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'n', 'INT_LEN', 'NUM_CHECK,MAX_LENGTH_CHECK');
+INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (12, 1, 'status', '表示ステータス(公開・非公開)', 12, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'n', 'INT_LEN', 'NUM_CHECK,MAX_LENGTH_CHECK,EXIST_CHECK');
 INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (13, 1, 'comment1', 'メーカーURL(コメント1)', 13, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'KVa', 'URL_LEN', 'SPTAB_CHECK,MAX_LENGTH_CHECK,URL_CHECK');
 INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (14, 1, 'comment2', 'コメント2', 14, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'KVa', 'LLTEXT_LEN', 'SPTAB_CHECK,MAX_LENGTH_CHECK');
@@ -282,8 +282,8 @@
 INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (45, 1, 'deliv_date_id', '発送日目安ID', 45, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'n', 'INT_LEN', 'NUM_CHECK,MAX_LENGTH_CHECK');
 INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (46, 1, 'del_flg', '削除フラグ', 46, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'n', 'INT_LEN', 'NUM_CHECK,MAX_LENGTH_CHECK');
-INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (47, 1, 'product_type_id', '商品種別ID', 47, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'n', 'INT_LEN', 'NUM_CHECK,MAX_LENGTH_CHECK');
+INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (47, 1, 'product_type_id', '商品種別ID', 47, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'n', 'INT_LEN', 'NUM_CHECK,MAX_LENGTH_CHECK,EXIST_CHECK');
 INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (48, 1, 'product_code', '商品コード', 48, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'KVa', 'STEXT_LEN', 'SPTAB_CHECK,MAX_LENGTH_CHECK');
 INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (49, 1, 'stock', '在庫数', 49, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'n', 'AMOUNT_LEN', 'NUM_CHECK,MAX_LENGTH_CHECK');
-INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (50, 1, 'stock_unlimited', '在庫無制限フラグ', 50, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'n', 'INT_LEN', 'NUM_CHECK,MAX_LENGTH_CHECK');
+INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (50, 1, 'stock_unlimited', '在庫無制限フラグ', 50, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'n', 'INT_LEN', 'NUM_CHECK,MAX_LENGTH_CHECK,EXIST_CHECK');
 INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (51, 1, 'sale_limit', '販売制限数', 51, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'n', 'AMOUNT_LEN', 'NUM_CHECK,MAX_LENGTH_CHECK');
 INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (52, 1, 'price01', '通常価格', 52, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'n', 'PRICE_LEN', 'NUM_CHECK,MAX_LENGTH_CHECK');
Index: /branches/version-2_11-dev/html/user_data/packages/sphone/css/contents.css
===================================================================
--- /branches/version-2_11-dev/html/user_data/packages/sphone/css/contents.css	(revision 21383)
+++ /branches/version-2_11-dev/html/user_data/packages/sphone/css/contents.css	(revision 21400)
@@ -222,16 +222,6 @@
 float:left;
 }
-.cartinContents ul li.quantity{
+.cartinContents ul li.result{
 padding-left:0.5em;
-padding-top:1em;
-vertical-align:bottom;
-}
-.cartinContents ul li.quantity_btn{
-padding-left:0.5em;
-padding-top:0.8em;
-vertical-align:bottom;
-}
-.cartinContents ul li.result{
-padding-left:1.5em;
 padding-top:1em;
 vertical-align:bottom;
Index: /branches/version-2_11-dev/data/Smarty/templates/admin/contents/recommend.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/admin/contents/recommend.tpl	(revision 21388)
+++ /branches/version-2_11-dev/data/Smarty/templates/admin/contents/recommend.tpl	(revision 21400)
@@ -141,5 +141,5 @@
         <!--{if $arrItems[$smarty.section.cnt.iteration].product_id}-->
         <tr><td colspan="4" class="no-border">
-        <a class="btn-action" href="javascript:;" onclick="lfnCheckSubmit(document.form<!--{$smarty.section.cnt.iteration}-->); return false;"><span class="btn-next">この内容で登録する</span></a>
+        <a class="btn-action" href="javascript:;" onclick="return lfnCheckSubmit(document.form<!--{$smarty.section.cnt.iteration}-->);"><span class="btn-next">この内容で登録する</span></a>
         </td>
         </tr>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/cart/index.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/cart/index.tpl	(revision 21383)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/cart/index.tpl	(revision 21400)
@@ -123,7 +123,5 @@
                      </div>
                     <ul>
-                      <li class="quantity"><span class="mini">数量:</span><!--{$item.quantity|number_format}--></li>
-                      <li class="quantity_btn"><img src="<!--{$TPL_URLPATH}-->img/button/btn_plus.png" width="22" height="21" alt="＋" onclick="fnFormModeSubmit('form<!--{$key}-->', 'up','cart_no','<!--{$item.cart_no}-->'); return false" /></li>
-                      <li class="quantity_btn"><img src="<!--{$TPL_URLPATH}-->img/button/btn_minus.png" width="22" height="21" alt="-" onclick="fnFormModeSubmit('form<!--{$key}-->', 'down','cart_no','<!--{$item.cart_no}-->'); return false" /></a></li>
+                     <li><input type="number" name="quantity" class="cartin_quantity text data-role-none" value="<!--{$item.quantity}-->" max="9" style="" onchange="fnFormModeSubmit('form<!--{$key}-->', 'setQuantity','cart_no','<!--{$item.cart_no}-->');" /></li>
                       <li class="result"><span class="mini">小計：</span><!--{$item.total_inctax|number_format}-->円</li>
                     </ul>
Index: /branches/version-2_11-dev/data/class/pages/products/LC_Page_Products_List.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 21386)
+++ /branches/version-2_11-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 21400)
@@ -425,5 +425,5 @@
 
         if (strlen($searchCondition["where_category"]) >= 1) {
-            $searchCondition['where'] .= " AND dtb_product_categories.".$searchCondition["where_category"];
+            $searchCondition['where'] .= " AND T2.".$searchCondition["where_category"];
             $searchCondition['arrval'] = array_merge($searchCondition['arrval'], $searchCondition['arrvalCategory']);
         }
Index: /branches/version-2_11-dev/data/class/SC_Initial.php
===================================================================
--- /branches/version-2_11-dev/data/class/SC_Initial.php	(revision 21384)
+++ /branches/version-2_11-dev/data/class/SC_Initial.php	(revision 21400)
@@ -113,4 +113,12 @@
      */
     function phpconfigInit() {
+        // E_DEPRECATED 定数 (for PHP < 5.3)
+        // TODO バージョン互換処理に統合したい。
+        $this->defineIfNotDefined('E_DEPRECATED', 8192);
+
+        // エラーレベル設定
+        // 開発時は E_ALL を推奨
+        error_reporting(E_ALL & ~E_NOTICE & ~E_DEPRECATED);
+
         ini_set('display_errors', '1');
         ini_set('html_errors', '1');
Index: /branches/version-2_11-dev/data/class/SC_Product.php
===================================================================
--- /branches/version-2_11-dev/data/class/SC_Product.php	(revision 21386)
+++ /branches/version-2_11-dev/data/class/SC_Product.php	(revision 21400)
@@ -74,9 +74,11 @@
     function findProductIdsOrder(&$objQuery, $arrVal = array()) {
         $table = <<< __EOS__
-            dtb_products AS alldtl
-            LEFT JOIN dtb_products_class
-                ON alldtl.product_id = dtb_products_class.product_id
-            LEFT JOIN dtb_product_categories
-                ON alldtl.product_id = dtb_product_categories.product_id
+                 dtb_products AS alldtl
+            JOIN dtb_products_class AS T1
+              ON alldtl.product_id = T1.product_id
+            JOIN dtb_product_categories AS T2
+              ON alldtl.product_id = T2.product_id
+            JOIN dtb_category
+              ON T2.category_id = dtb_category.category_id
 __EOS__;
         $objQuery->setGroupBy('alldtl.product_id');
@@ -117,9 +119,9 @@
     function findProductCount(&$objQuery, $arrVal = array()) {
         $table = <<< __EOS__
-            dtb_products AS alldtl
-            LEFT JOIN dtb_products_class
-                ON alldtl.product_id = dtb_products_class.product_id
-            LEFT JOIN dtb_product_categories
-                ON alldtl.product_id = dtb_product_categories.product_id
+                 dtb_products AS alldtl
+            JOIN dtb_product_categories AS T2
+              ON alldtl.product_id = T2.product_id
+            JOIN dtb_category
+              ON T2.category_id = dtb_category.category_id
 __EOS__;
         $objQuery->setGroupBy('alldtl.product_id');