Index: /branches/version-2_11-dev/html/install/sql/create_table_mysql.sql
===================================================================
--- /branches/version-2_11-dev/html/install/sql/create_table_mysql.sql	(revision 21364)
+++ /branches/version-2_11-dev/html/install/sql/create_table_mysql.sql	(revision 21403)
@@ -222,6 +222,5 @@
     del_flg smallint NOT NULL DEFAULT 0,
     create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
-    PRIMARY KEY (template_id)
+    update_date timestamp NOT NULL
 ) ENGINE=InnoDB;
 
Index: /branches/version-2_11-dev/html/install/sql/create_table_pgsql.sql
===================================================================
--- /branches/version-2_11-dev/html/install/sql/create_table_pgsql.sql	(revision 21364)
+++ /branches/version-2_11-dev/html/install/sql/create_table_pgsql.sql	(revision 21403)
@@ -222,6 +222,5 @@
     del_flg smallint NOT NULL DEFAULT 0,
     create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
-    update_date timestamp NOT NULL,
-    PRIMARY KEY (template_id)
+    update_date timestamp NOT NULL
 );
 
Index: /branches/version-2_11-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 21402)
+++ /branches/version-2_11-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 21403)
@@ -177,5 +177,5 @@
     // お気に入り商品削除
     function lfDeleteFavoriteProduct($customer_id, $product_id) {
-        $objQuery       =& SC_Query_Ex::getSingletonInstance();
+        $objQuery   = new SC_Query_Ex();
         $count      = $objQuery->count("dtb_customer_favorite_products", "customer_id = ? AND product_id = ?", array($customer_id, $product_id));
 
Index: /branches/version-2_11-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 21368)
+++ /branches/version-2_11-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 21403)
@@ -74,5 +74,5 @@
         $objSiteSess = new SC_SiteSession_Ex();
         $objCustomer = new SC_Customer_Ex();
-        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $objQuery = new SC_Query_Ex();
         $objDb = new SC_Helper_DB_Ex();
         $objPurchase = new SC_Helper_Purchase_Ex();
Index: /branches/version-2_11-dev/data/Smarty/templates/admin/basis/kiyaku.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/admin/basis/kiyaku.tpl	(revision 21366)
+++ /branches/version-2_11-dev/data/Smarty/templates/admin/basis/kiyaku.tpl	(revision 21403)
@@ -41,5 +41,5 @@
             <td>
             <span class="attention"><!--{$arrErr.kiyaku_text}--></span>
-            <textarea name="kiyaku_text" maxlength="<!--{$smarty.const.MLTEXT_LEN}-->" cols="60" rows="8" class="area60" style="<!--{if $arrErr.kiyaku_text != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->" ><!--{$arrForm.kiyaku_text|h}--></textarea>
+            <textarea name="kiyaku_text" maxlength="<!--{$smarty.const.MTEXT_LEN}-->" cols="60" rows="8" class="area60" style="<!--{if $arrErr.kiyaku_text != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->" ><!--{$arrForm.kiyaku_text|h}--></textarea>
             <span class="attention"> (上限<!--{$smarty.const.MLTEXT_LEN}-->文字)</span>
             </td>
Index: /branches/version-2_11-dev/data/Smarty/templates/admin/products/upload_csv_category_complete.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/admin/products/upload_csv_category_complete.tpl	(revision 21363)
+++ /branches/version-2_11-dev/data/Smarty/templates/admin/products/upload_csv_category_complete.tpl	(revision 21403)
@@ -42,5 +42,5 @@
                 <td>
                     <!--{foreach item=result from=$arrRowResult}-->
-                    <span><!--{$result|h}--><br/></span>
+                    <span><!--{$result}--><br/></span>
                     <!--{/foreach}-->
                 </td>
Index: /branches/version-2_11-dev/data/Smarty/templates/admin/products/upload_csv_complete.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/admin/products/upload_csv_complete.tpl	(revision 21363)
+++ /branches/version-2_11-dev/data/Smarty/templates/admin/products/upload_csv_complete.tpl	(revision 21403)
@@ -42,5 +42,5 @@
                 <td>
                     <!--{foreach item=result from=$arrRowResult}-->
-                    <span><!--{$result|h}--><br/></span>
+                    <span><!--{$result}--><br/></span>
                     <!--{/foreach}-->
                 </td>
Index: /branches/version-2_11-dev/data/Smarty/templates/admin/mail/query.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/admin/mail/query.tpl	(revision 21365)
+++ /branches/version-2_11-dev/data/Smarty/templates/admin/mail/query.tpl	(revision 21403)
@@ -29,4 +29,5 @@
 //-->
 </script>
+</head>
 
 <form name="form1" id="form1" method="post" action="?">
@@ -37,6 +38,10 @@
     <table class="form">
         <tr>
-            <th>顧客ID</th>
-            <td><!--{$arrSearchData.search_customer_id|default:"(未指定)"|h}--></td>
+            <th>お名前</th>
+            <td><!--{$arrSearchData.search_name|default:"(未指定)"|h}--></td>
+        </tr>
+        <tr>
+            <th>お名前(フリガナ)</th>
+            <td><!--{$arrSearchData.search_kana|default:"(未指定)"|h}--></td>
         </tr>
         <tr>
@@ -49,10 +54,6 @@
         </tr>
         <tr>
-            <th>お名前</th>
-            <td><!--{$arrSearchData.search_name|default:"(未指定)"|h}--></td>
-        </tr>
-        <tr>
-            <th>お名前(フリガナ)</th>
-            <td><!--{$arrSearchData.search_kana|default:"(未指定)"|h}--></td>
+            <th>TEL</th>
+            <td><!--{$arrSearchData.search_tel|default:"(未指定)"|h}--></td>
         </tr>
         <tr>
@@ -72,10 +73,23 @@
         </tr>
         <tr>
-            <th>誕生日</th>
+            <th>配信形式</th>
+            <td><!--{$arrSearchData.htmlmail_disp|default:"(未指定)"|h}--></td>
+        </tr>
+        <tr>
+            <th>購入回数</th>
             <td>
-            <!--{if $arrSearchData.search_b_start_year}-->
-                <!--{$arrSearchData.search_b_start_year}-->年<!--{$arrSearchData.search_b_start_month}-->月<!--{$arrSearchData.search_b_start_day}-->日&nbsp;～
-                <!--{if $arrSearchData.search_b_end_year}-->&nbsp;<!--{$arrSearchData.search_b_end_year}-->年<!--{$arrSearchData.search_b_end_month}-->月<!--{$arrSearchData.search_b_end_day}-->日<!--{/if}-->
-            <!--{else}-->(未指定)<!--{/if}-->
+                <!--{if $arrSearchData.search_buy_times_from == null}-->(未指定)<!--{else}--><!--{$arrSearchData.search_buy_times_from|h}-->回<!--{/if}--> ～ 
+                <!--{if $arrSearchData.search_buy_times_to == null}-->(未指定)<!--{else}--><!--{$arrSearchData.search_buy_times_to|h}-->回<!--{/if}-->
+            </td>
+        </tr>
+        <tr>
+            <th>購入商品コード</th>
+            <td><!--{$arrSearchData.search_buy_product_code|default:"(未指定)"|h}--></td>
+        </tr>
+        <tr>
+            <th>購入金額</th>
+            <td>
+                <!--{if $arrSearchData.search_buy_total_from == null}-->(未指定)<!--{else}--><!--{$arrSearchData.search_buy_total_from|h}-->円<!--{/if}--> ～ 
+                <!--{if $arrSearchData.search_buy_total_to == null}-->(未指定)<!--{else}--><!--{$arrSearchData.search_buy_total_to|h}-->円<!--{/if}-->
             </td>
         </tr>
@@ -83,12 +97,4 @@
             <th>メールアドレス</th>
             <td><!--{$arrSearchData.search_email|default:"(未指定)"|h}--></td>
-        </tr>
-        <tr>
-            <th>携帯メールアドレス</th>
-            <td><!--{$arrSearchData.search_email_mobile|default:"(未指定)"|h}--></td>
-        </tr>
-        <tr>
-            <th>電話番号</th>
-            <td><!--{$arrSearchData.search_tel|default:"(未指定)"|h}--></td>
         </tr>
         <tr>
@@ -104,19 +110,14 @@
         </tr>
         <tr>
-            <th>購入金額</th>
+            <th>生年月日</th>
             <td>
-                <!--{if $arrSearchData.search_buy_total_from == null}-->(未指定)<!--{else}--><!--{$arrSearchData.search_buy_total_from|h}-->円<!--{/if}--> ～ 
-                <!--{if $arrSearchData.search_buy_total_to == null}-->(未指定)<!--{else}--><!--{$arrSearchData.search_buy_total_to|h}-->円<!--{/if}-->
+            <!--{if $arrSearchData.search_b_start_year}-->
+                <!--{$arrSearchData.search_b_start_year}-->年<!--{$arrSearchData.search_b_start_month}-->月<!--{$arrSearchData.search_b_start_day}-->日&nbsp;～
+                <!--{if $arrSearchData.search_b_end_year}-->&nbsp;<!--{$arrSearchData.search_b_end_year}-->年<!--{$arrSearchData.search_b_end_month}-->月<!--{$arrSearchData.search_b_end_day}-->日<!--{/if}-->
+            <!--{else}-->(未指定)<!--{/if}-->
             </td>
-        </tr>
+        </tr>    
         <tr>
-            <th>購入回数</th>
-            <td>
-                <!--{if $arrSearchData.search_buy_times_from == null}-->(未指定)<!--{else}--><!--{$arrSearchData.search_buy_times_from|h}-->回<!--{/if}--> ～ 
-                <!--{if $arrSearchData.search_buy_times_to == null}-->(未指定)<!--{else}--><!--{$arrSearchData.search_buy_times_to|h}-->回<!--{/if}-->
-            </td>
-        </tr>
-        <tr>
-            <th>登録・更新日</th>
+            <th>登録日</th>
             <td>
             <!--{if $arrSearchData.search_start_year}-->
@@ -138,8 +139,4 @@
             <th>購入商品名</th>
             <td><!--{$arrSearchData.search_buy_product_name|default:"(未指定)"|h}--></td>
-        </tr>
-        <tr>
-            <th>購入商品コード</th>
-            <td><!--{$arrSearchData.search_buy_product_code|default:"(未指定)"|h}--></td>
         </tr>
         <tr>
Index: /branches/version-2_11-dev/data/Smarty/templates/sphone/contact/index.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/sphone/contact/index.tpl	(revision 21367)
+++ /branches/version-2_11-dev/data/Smarty/templates/sphone/contact/index.tpl	(revision 21403)
@@ -82,5 +82,5 @@
              </p>
 
-             <a href="javascript:fnCallAddress('<!--{$smarty.const.INPUT_ZIP_URLPATH}-->', '<!--{$key1}-->', '<!--{$key2}-->', '<!--{$key3}-->', '<!--{$key4}-->');" class="btn_sub btn_inputzip" rel="external">郵便番号から住所自動入力</a>
+             <a href="javascript:fnCallAddress('<!--{$smarty.const.INPUT_ZIP_URLPATH}-->', '<!--{$key1}-->', '<!--{$key2}-->', '<!--{$key3}-->', '<!--{$key4}-->'); return false;" class="btn_sub btn_inputzip" rel="external">郵便番号から住所自動入力</a>
               </dd>
 