Index: /branches/version-2_11-dev/data/Smarty/templates/admin/basis/payment_input.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/admin/basis/payment_input.tpl	(revision 21343)
+++ /branches/version-2_11-dev/data/Smarty/templates/admin/basis/payment_input.tpl	(revision 21408)
@@ -81,5 +81,5 @@
                     <img src="<!--{$arrFile[$key].filepath}-->" alt="<!--{$arrForm.name|h}-->">　<br /><a href="" onclick="fnModeSubmit('delete_image', 'image_key', '<!--{$key}-->'); return false;">[画像の取り消し]</a><br />
                     <!--{/if}-->
-                    <input type="file" name="<!--{$key}-->" style="<!--{$arrErr[$key]|sfGetErrorColor}-->" />
+                    <input type="file" name="<!--{$key}-->" size="30" class="box30" style="<!--{$arrErr[$key]|sfGetErrorColor}-->" />
                     <a class="btn-normal" href="javascript:;" name="btn" onclick="fnModeSubmit('upload_image', 'image_key', '<!--{$key}-->'); return false;">アップロード</a>
                 </td>
Index: /branches/version-2_11-dev/data/Smarty/templates/admin/order/product_select.tpl
===================================================================
--- /branches/version-2_11-dev/data/Smarty/templates/admin/order/product_select.tpl	(revision 21343)
+++ /branches/version-2_11-dev/data/Smarty/templates/admin/order/product_select.tpl	(revision 21408)
@@ -47,5 +47,5 @@
         fm1.getElementById("no").value = escape('<!--{$tpl_no}-->');
     }
-    if (document.getElementById(class1).type == 'select-one' && class1_id == '__unselected') {
+    if (document.getElementById(class1).type == 'select-one' && class1_id == '') {
         err_text = class_name1 + "を選択してください。\n";
     }
Index: /branches/version-2_11-dev/data/class/pages/mypage/LC_Page_Mypage_DownLoad.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/mypage/LC_Page_Mypage_DownLoad.php	(revision 21405)
+++ /branches/version-2_11-dev/data/class/pages/mypage/LC_Page_Mypage_DownLoad.php	(revision 21408)
@@ -79,5 +79,5 @@
         // ログインチェック
         $objCustomer = new SC_Customer_Ex();
-        if (!$objCustomer->isLoginSuccess(true)){
+        if (!$objCustomer->isLoginSuccess()){
             SC_Utils_Ex::sfDispSiteError(DOWNFILE_NOT_FOUND,"",true);
         }
Index: /branches/version-2_11-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 21405)
+++ /branches/version-2_11-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 21408)
@@ -761,10 +761,4 @@
             $changed_no = $objFormParam->getValue('no');
         }
-        // FXIME バリデーションを通さず $objFormParam の値で DB 問い合わせしている。(管理機能ため、さほど問題は無いと思うものの…)
-
-        // 商品規格IDが指定されていない場合、例外エラーを発生
-        if (strlen($product_class_id) === 0) {
-            SC_Utils_Ex::sfDispException('商品規格指定なし');
-        }
 
         // 選択済みの商品であれば数量を1増やす
@@ -787,10 +781,4 @@
             $objProduct = new SC_Product_Ex();
             $arrProduct = $objProduct->getDetailAndProductsClass($product_class_id);
-
-            // 一致する商品規格がない場合、例外エラーを発生
-            if (empty($arrProduct)) {
-                SC_Utils_Ex::sfDispException('商品規格一致なし');
-            }
-
             $arrProduct['quantity'] = 1;
             $arrProduct['price'] = $arrProduct['price02'];
Index: /branches/version-2_11-dev/data/class/pages/cart/LC_Page_Cart.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/cart/LC_Page_Cart.php	(revision 21333)
+++ /branches/version-2_11-dev/data/class/pages/cart/LC_Page_Cart.php	(revision 21408)
@@ -89,4 +89,5 @@
             }
         }
+        $this->cartItems =& $objCartSess->getAllCartList();
 
         $cart_no = $objFormParam->getValue('cart_no');
@@ -169,7 +170,4 @@
         $this->lfGetCartPrevUrl($_SESSION,$_SERVER['HTTP_REFERER']);
         $this->tpl_prev_url = (isset($_SESSION['cart_prev_url'])) ? $_SESSION['cart_prev_url'] : '';
-
-        // すべてのカートの内容を取得する
-        $this->cartItems = $objCartSess->getAllCartList();
     }
 