Index: /branches/version-2_12-dev/html/install/sql/insert_data.sql
===================================================================
--- /branches/version-2_12-dev/html/install/sql/insert_data.sql	(revision 21419)
+++ /branches/version-2_12-dev/html/install/sql/insert_data.sql	(revision 21435)
@@ -1247,4 +1247,5 @@
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('NOSTOCK_HIDDEN', 'false', 291, '在庫無し商品の非表示(true:非表示、false:表示)');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('USE_MOBILE', 'true', 292, 'モバイルサイトを利用するか(true:利用する、false:利用しない) (false は一部対応)');
+INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('USE_MULTIPLE_SHIPPING', 'true', 293, '複数配送先指定機能を利用するか(true:利用する、false:利用しない)');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('DEFAULT_TEMPLATE_NAME', '"default"', 300, 'デフォルトテンプレート名(PC)');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('MOBILE_DEFAULT_TEMPLATE_NAME', '"mobile"', 301, 'デフォルトテンプレート名(モバイル)');
Index: /branches/version-2_12-dev/data/Smarty/templates/sphone/shopping/nonmember_input.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/sphone/shopping/nonmember_input.tpl	(revision 21349)
+++ /branches/version-2_12-dev/data/Smarty/templates/sphone/shopping/nonmember_input.tpl	(revision 21435)
@@ -353,7 +353,9 @@
                                     class="boxShort text data-role-none" />
                                      </dd>
+<!--{if $smarty.const.USE_MULTIPLE_SHIPPING !== false}-->
      <dd class="pb">
        <a class="btn_more" href="javascript:fnModeSubmit('multiple', '', '');">お届け先を複数指定する</a>
        </dd>
+<!--{/if}-->
 
 </div>
Index: /branches/version-2_12-dev/data/Smarty/templates/sphone/shopping/deliv.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/sphone/shopping/deliv.tpl	(revision 21234)
+++ /branches/version-2_12-dev/data/Smarty/templates/sphone/shopping/deliv.tpl	(revision 21435)
@@ -41,4 +41,5 @@
     <!--{/if}-->
             
+<!--{if $smarty.const.USE_MULTIPLE_SHIPPING !== false}-->
 <!--☆右にスライドボタン -->
 <div class="bubbleBox">
@@ -49,4 +50,5 @@
 <div class="bubble_arrow"><!--矢印空タグ --></div>
 </div>
+<!--{/if}-->
 
 
Index: /branches/version-2_12-dev/data/Smarty/templates/default/shopping/deliv.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/default/shopping/deliv.tpl	(revision 21343)
+++ /branches/version-2_12-dev/data/Smarty/templates/default/shopping/deliv.tpl	(revision 21435)
@@ -36,8 +36,10 @@
                 <p class="mini attention">※最大<!--{$smarty.const.DELIV_ADDR_MAX|h}-->件まで登録できます。</p>
             </div>
+            <!--{if $smarty.const.USE_MULTIPLE_SHIPPING !== false}-->
             <div class="add_multiple">
                 <p>この商品を複数の<br />お届け先に送りますか？</p>
                 <a href="javascript:;" onclick="fnModeSubmit('multiple', '', ''); return false" onmouseover="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_several_address_on.jpg','several');" onmouseout="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_several_address.jpg','several');"><img src="<!--{$TPL_URLPATH}-->img/button/btn_several_address.jpg" alt="お届け先を複数指定する" name="several" id="several" /></a>
             </div>
+            <!--{/if}-->
         </div>
 
Index: /branches/version-2_12-dev/data/Smarty/templates/default/shopping/nonmember_input.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/default/shopping/nonmember_input.tpl	(revision 20967)
+++ /branches/version-2_12-dev/data/Smarty/templates/default/shopping/nonmember_input.tpl	(revision 21435)
@@ -28,6 +28,10 @@
         <div class="information">
             <p>下記項目にご入力ください。「<span class="attention">※</span>」印は入力必須項目です。<br />
+            <!--{if $smarty.const.USE_MULTIPLE_SHIPPING !== false}-->
             入力後、一番下の「上記のお届け先のみに送る」<br/>
             または「複数のお届け先に送る」ボタンをクリックしてください。</p>
+            <!--{else}-->
+            入力後、一番下の「次へ」ボタンをクリックしてください。</p>
+            <!--{/if}-->
         </div>
 
@@ -247,7 +251,10 @@
         </table>
 
+        <!--{if $smarty.const.USE_MULTIPLE_SHIPPING !== false}-->
         <p class="alignC">この商品を複数のお届け先に送りますか？</p>
+        <!--{/if}-->
         <div class="btn_area">
             <ul>
+                <!--{if $smarty.const.USE_MULTIPLE_SHIPPING !== false}-->
                 <li>
                     <input type="image" onmouseover="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_singular_on.jpg',this)" onmouseout="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_singular.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_singular.jpg" alt="上記のお届け先のみに送る" name="singular" id="singular" />
@@ -257,4 +264,9 @@
                     <img src="<!--{$TPL_URLPATH}-->img/button/btn_multiple.jpg" alt="複数のお届け先に送る" border="0" name="several" id="several" /></a>
                 </li>
+                <!--{else}-->
+                <li>
+                    <input type="image" onmouseover="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_next_on.jpg',this)" onmouseout="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_next.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_next.jpg" alt="次へ" name="singular" id="singular" />
+                </li>
+                <!--{/if}-->
             </ul>
         </div>
Index: /branches/version-2_12-dev/data/Smarty/templates/mobile/shopping/deliv.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/mobile/shopping/deliv.tpl	(revision 21009)
+++ /branches/version-2_12-dev/data/Smarty/templates/mobile/shopping/deliv.tpl	(revision 21435)
@@ -80,4 +80,5 @@
 </form>
 
+<!--{if $smarty.const.USE_MULTIPLE_SHIPPING !== false}-->
 <br>
 
@@ -89,2 +90,3 @@
 <center><input type="submit" value="複数お届け先"></center>
 </form>
+<!--{/if}-->
Index: /branches/version-2_12-dev/data/Smarty/templates/admin/order/edit.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/admin/order/edit.tpl	(revision 21419)
+++ /branches/version-2_12-dev/data/Smarty/templates/admin/order/edit.tpl	(revision 21435)
@@ -383,6 +383,8 @@
         <a class="btn-normal" href="javascript:;" onclick="fnCopyFromOrderData();">お客様情報へお届けする</a>
     <!--{/if}-->
+    <!--{if $smarty.const.USE_MULTIPLE_SHIPPING !== false}-->
         <a class="btn-normal" href="javascript:;"  onclick="fnAppendShipping();">お届け先を新規追加</a>
         <a class="btn-normal" href="javascript:;" onclick="fnMultiple();">複数のお届け先を指定する</a>
+    <!--{/if}-->
     </h2>
 
Index: /branches/version-2_12-dev/data/mtb_constants_init.php
===================================================================
--- /branches/version-2_12-dev/data/mtb_constants_init.php	(revision 21416)
+++ /branches/version-2_12-dev/data/mtb_constants_init.php	(revision 21435)
@@ -377,4 +377,6 @@
 /** モバイルサイトを利用するか(true:利用する、false:利用しない) (false は一部対応) */
 define('USE_MOBILE', true);
+/** 複数配送先指定機能を利用するか(true:利用する、false:利用しない) **/
+define('USE_MULTIPLE_SHIPPING', true);
 /** デフォルトテンプレート名(PC) */
 define('DEFAULT_TEMPLATE_NAME', "default");