Index: /branches/version-2_12-dev/html/install/index.php
===================================================================
--- /branches/version-2_12-dev/html/install/index.php	(revision 21444)
+++ /branches/version-2_12-dev/html/install/index.php	(revision 21445)
@@ -733,5 +733,5 @@
 
     // パスワードのチェック
-    $objErr->doFunc( array("管理者：パスワード",'login_pass',ID_MIN_LEN , ID_MAX_LEN ) ,array("SPTAB_CHECK" ,"NUM_RANGE_CHECK"));
+    $objErr->doFunc( array("管理者：パスワード",'login_pass',ID_MIN_LEN , ID_MAX_LEN) ,array("SPTAB_CHECK" ,"NUM_RANGE_CHECK"));
 
     // 管理機能ディレクトリのチェック
Index: /branches/version-2_12-dev/data/class/SC_CustomerList.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_CustomerList.php	(revision 21444)
+++ /branches/version-2_12-dev/data/class/SC_CustomerList.php	(revision 21445)
@@ -211,5 +211,5 @@
         if (!isset($this->arrSql['search_buy_total_from'])) $this->arrSql['search_buy_total_from'] = "";
         if (!isset($this->arrSql['search_buy_total_to'])) $this->arrSql['search_buy_total_to'] = "";
-        if (is_numeric( $this->arrSql["search_buy_total_from"] ) || is_numeric( $this->arrSql["search_buy_total_to"])) {
+        if (is_numeric( $this->arrSql["search_buy_total_from"]) || is_numeric( $this->arrSql["search_buy_total_to"])) {
             $arrBuyTotal = $this->selectRange($this->arrSql["search_buy_total_from"], $this->arrSql["search_buy_total_to"], "buy_total");
             foreach ($arrBuyTotal as $data) {
@@ -221,5 +221,5 @@
         if (!isset($this->arrSql['search_buy_times_from'])) $this->arrSql['search_buy_times_from'] = "";
         if (!isset($this->arrSql['search_buy_times_to'])) $this->arrSql['search_buy_times_to'] = "";
-        if (is_numeric( $this->arrSql["search_buy_times_from"] ) || is_numeric( $this->arrSql["search_buy_times_to"])) {
+        if (is_numeric( $this->arrSql["search_buy_times_from"]) || is_numeric( $this->arrSql["search_buy_times_to"])) {
             $arrBuyTimes = $this->selectRange($this->arrSql["search_buy_times_from"], $this->arrSql["search_buy_times_to"], "buy_times");
             foreach ($arrBuyTimes as $data) {
Index: /branches/version-2_12-dev/data/class/SC_SelectSql.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_SelectSql.php	(revision 21444)
+++ /branches/version-2_12-dev/data/class/SC_SelectSql.php	(revision 21445)
@@ -102,5 +102,5 @@
 
         // 開始期間だけ指定の場合
-        if (( $from_year != "" ) && ( $from_month != "" ) && ( $from_day != "" ) && ( $to_year == "" ) && ( $to_month == "" ) && ( $to_day == "")) {
+        if (( $from_year != "") && ( $from_month != "") && ( $from_day != "") && ( $to_year == "") && ( $to_month == "") && ( $to_day == "")) {
             $this->setWhere( $column .' >= ?');
             $return[] = $date1;
@@ -108,6 +108,6 @@
 
         //　開始～終了
-        if( ( $from_year != "" ) && ( $from_month != "" ) && ( $from_day != "") &&
-            ( $to_year != "" ) && ( $to_month != "" ) && ( $to_day != "" )) {
+        if( ( $from_year != "") && ( $from_month != "") && ( $from_day != "") &&
+            ( $to_year != "") && ( $to_month != "") && ( $to_day != "")) {
             $this->setWhere( $column . ' >= ? AND ' . $column . ' < date(?)');
             $return[] = $date1;
@@ -116,5 +116,5 @@
 
         // 終了期間だけ指定の場合
-        if (( $from_year == "" ) && ( $from_month == "" ) && ( $from_day == "" ) && ( $to_year != "" ) && ( $to_month != "" ) && ( $to_day != "")) {
+        if (( $from_year == "") && ( $from_month == "") && ( $from_day == "") && ( $to_year != "") && ( $to_month != "") && ( $to_day != "")) {
             $this->setWhere( $column . ' < date(?)');
             $return[] = $date2;
@@ -130,12 +130,12 @@
 
             if (count( $arr) > 1) {
-                if( ! is_null( $data )) $item .= $ItemStr . " = ? OR ";
+                if( ! is_null( $data)) $item .= $ItemStr . " = ? OR ";
             } else {
-                if( ! is_null( $data )) $item = $ItemStr . " = ?";
+                if( ! is_null( $data)) $item = $ItemStr . " = ?";
             }
             $return[] = $data;
         }
 
-        if( count( $arr ) > 1 )  $item = "( " . rtrim( $item, " OR " ) . ")";
+        if( count( $arr) > 1)  $item = "( " . rtrim( $item, " OR ") . ")";
         $this->setWhere( $item);
         return $return;
@@ -191,8 +191,8 @@
         for ($i = 0; $i < $count; $i++) {
 
-            if( isset( $arrWhere[$i]['value'] )) $statement .= $arrWhere[$i]['column'] ." = " . SC_Utils_Ex::sfQuoteSmart($arrWhere[$i]['value']) ." OR "  ;
-        }
-
-        $statement = "( " . rtrim( $statement, " OR " ) . ")";
+            if( isset( $arrWhere[$i]['value'])) $statement .= $arrWhere[$i]['column'] ." = " . SC_Utils_Ex::sfQuoteSmart($arrWhere[$i]['value']) ." OR "  ;
+        }
+
+        $statement = "( " . rtrim( $statement, " OR ") . ")";
 
         if ($this->where) {
Index: /branches/version-2_12-dev/data/class/SC_Customer.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Customer.php	(revision 21444)
+++ /branches/version-2_12-dev/data/class/SC_Customer.php	(revision 21445)
@@ -303,5 +303,5 @@
     function updateOrderSummary($customer_id){
         $objQuery = new SC_Query_Ex();
-        $arrOrderSummary =  $objQuery->getRow("SUM( payment_total ) as buy_total, COUNT(order_id) as buy_times,MAX( create_date) as last_buy_date, MIN(create_date) as first_buy_date","dtb_order","customer_id = ? AND del_flg = 0 AND status <> ?",array($customer_id,ORDER_CANCEL));
+        $arrOrderSummary =  $objQuery->getRow("SUM( payment_total) as buy_total, COUNT(order_id) as buy_times,MAX( create_date) as last_buy_date, MIN(create_date) as first_buy_date","dtb_order","customer_id = ? AND del_flg = 0 AND status <> ?",array($customer_id,ORDER_CANCEL));
         $objQuery->update("dtb_customer",$arrOrderSummary,"customer_id = ?",array($customer_id));
     }
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_DB.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_DB.php	(revision 21444)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_DB.php	(revision 21445)
@@ -1087,6 +1087,6 @@
         }
 
-        if( $position > $rank ) $objQuery->exec( $sql, array( $rank + 1, $position));
-        if( $position < $rank ) $objQuery->exec( $sql, array( $position, $rank - 1));
+        if( $position > $rank) $objQuery->exec( $sql, array( $rank + 1, $position));
+        if( $position < $rank) $objQuery->exec( $sql, array( $position, $rank - 1));
 
         // 指定した順位へrankを書き換える。
@@ -1096,5 +1096,5 @@
         }
 
-        $objQuery->exec( $sql, array( $position, $keyId ));
+        $objQuery->exec( $sql, array( $position, $keyId));
         $objQuery->commit();
     }
Index: /branches/version-2_12-dev/data/class/SC_CheckError.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_CheckError.php	(revision 21444)
+++ /branches/version-2_12-dev/data/class/SC_CheckError.php	(revision 21445)
@@ -966,5 +966,5 @@
             $this->arrErr[$value[5]] = "※ " . $value[1] . "を正しく指定してください。<br />";
         }
-        if ((strlen($this->arrParam[$value[2]]) > 0 && strlen($this->arrParam[$value[3]]) > 0 && strlen($this->arrParam[$value[4]] ) > 0) &&  (strlen($this->arrParam[$value[5]]) > 0 || strlen($this->arrParam[$value[6]]) > 0 || strlen($this->arrParam[$value[7]]) > 0)) {
+        if ((strlen($this->arrParam[$value[2]]) > 0 && strlen($this->arrParam[$value[3]]) > 0 && strlen($this->arrParam[$value[4]]) > 0) &&  (strlen($this->arrParam[$value[5]]) > 0 || strlen($this->arrParam[$value[6]]) > 0 || strlen($this->arrParam[$value[7]]) > 0)) {
 
             $date1 = $this->arrParam[$value[2]] .sprintf("%02d", $this->arrParam[$value[3]]) .sprintf("%02d",$this->arrParam[$value[4]]) ."000000";
@@ -1014,8 +1014,8 @@
             $this->arrErr[$value[2]] = "※ " . $value[0] . "を正しく指定してください。<br />";
         }
-        if ((strlen($this->arrParam[$value[8]]) > 0 || strlen($this->arrParam[$value[9]]) > 0 || strlen($this->arrParam[$value[10]] ) > 0 || strlen($this->arrParam[$value[11]]) > 0) && ! checkdate($this->arrParam[$value[9]], $this->arrParam[$value[10]], $this->arrParam[$value[8]])) {
+        if ((strlen($this->arrParam[$value[8]]) > 0 || strlen($this->arrParam[$value[9]]) > 0 || strlen($this->arrParam[$value[10]]) > 0 || strlen($this->arrParam[$value[11]]) > 0) && ! checkdate($this->arrParam[$value[9]], $this->arrParam[$value[10]], $this->arrParam[$value[8]])) {
             $this->arrErr[$value[8]] = "※ " . $value[1] . "を正しく指定してください。<br />";
         }
-        if ((strlen($this->arrParam[$value[2]]) > 0 && strlen($this->arrParam[$value[3]]) > 0 && strlen($this->arrParam[$value[4]] ) > 0 && strlen($this->arrParam[$value[5]] ) > 0) &&  (strlen($this->arrParam[$value[8]]) > 0 || strlen($this->arrParam[$value[9]]) > 0 || strlen($this->arrParam[$value[10]] ) > 0 || strlen($this->arrParam[$value[11]]) > 0)) {
+        if ((strlen($this->arrParam[$value[2]]) > 0 && strlen($this->arrParam[$value[3]]) > 0 && strlen($this->arrParam[$value[4]]) > 0 && strlen($this->arrParam[$value[5]]) > 0) &&  (strlen($this->arrParam[$value[8]]) > 0 || strlen($this->arrParam[$value[9]]) > 0 || strlen($this->arrParam[$value[10]]) > 0 || strlen($this->arrParam[$value[11]]) > 0)) {
 
             $date1 = $this->arrParam[$value[2]] .sprintf("%02d", $this->arrParam[$value[3]]) .sprintf("%02d",$this->arrParam[$value[4]]) .sprintf("%02d",$this->arrParam[$value[5]]).sprintf("%02d",$this->arrParam[$value[6]]).sprintf("%02d",$this->arrParam[$value[7]]);
Index: /branches/version-2_12-dev/data/class/util/SC_Utils.php
===================================================================
--- /branches/version-2_12-dev/data/class/util/SC_Utils.php	(revision 21444)
+++ /branches/version-2_12-dev/data/class/util/SC_Utils.php	(revision 21445)
@@ -1038,5 +1038,5 @@
         $vals = array_values($arrValues);
 
-        $max = max( count( $keys ), count( $vals ));
+        $max = max( count( $keys), count( $vals));
         $combine_ary = array();
         for ($i=0; $i<$max; $i++) {