Index: branches/version-2_12-dev/data/Smarty/templates/default/shopping/nonmember_input.tpl
===================================================================
--- branches/version-2_12-dev/data/Smarty/templates/default/shopping/nonmember_input.tpl	(revision 21435)
+++ branches/version-2_12-dev/data/Smarty/templates/default/shopping/nonmember_input.tpl	(revision 21459)
@@ -28,10 +28,11 @@
         <div class="information">
             <p>下記項目にご入力ください。「<span class="attention">※</span>」印は入力必須項目です。<br />
-            <!--{if $smarty.const.USE_MULTIPLE_SHIPPING !== false}-->
-            入力後、一番下の「上記のお届け先のみに送る」<br/>
-            または「複数のお届け先に送る」ボタンをクリックしてください。</p>
-            <!--{else}-->
-            入力後、一番下の「次へ」ボタンをクリックしてください。</p>
-            <!--{/if}-->
+                <!--{if $smarty.const.USE_MULTIPLE_SHIPPING !== false}-->
+                    入力後、一番下の「上記のお届け先のみに送る」<br/>
+                    または「複数のお届け先に送る」ボタンをクリックしてください。
+                <!--{else}-->
+                    入力後、一番下の「次へ」ボタンをクリックしてください。
+                <!--{/if}-->
+            </p>
         </div>
 
@@ -252,20 +253,20 @@
 
         <!--{if $smarty.const.USE_MULTIPLE_SHIPPING !== false}-->
-        <p class="alignC">この商品を複数のお届け先に送りますか？</p>
+            <p class="alignC">この商品を複数のお届け先に送りますか？</p>
         <!--{/if}-->
         <div class="btn_area">
             <ul>
                 <!--{if $smarty.const.USE_MULTIPLE_SHIPPING !== false}-->
-                <li>
-                    <input type="image" onmouseover="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_singular_on.jpg',this)" onmouseout="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_singular.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_singular.jpg" alt="上記のお届け先のみに送る" name="singular" id="singular" />
-                </li>
-                <li>
-                <a href="javascript:;" onclick="fnModeSubmit('multiple', '', ''); return false" onmouseover="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_multiple_on.jpg','several');" onmouseout="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_multiple.jpg','several');">
-                    <img src="<!--{$TPL_URLPATH}-->img/button/btn_multiple.jpg" alt="複数のお届け先に送る" border="0" name="several" id="several" /></a>
-                </li>
+                    <li>
+                        <input type="image" onmouseover="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_singular_on.jpg',this)" onmouseout="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_singular.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_singular.jpg" alt="上記のお届け先のみに送る" name="singular" id="singular" />
+                    </li>
+                    <li>
+                    <a href="javascript:;" onclick="fnModeSubmit('multiple', '', ''); return false" onmouseover="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_multiple_on.jpg','several');" onmouseout="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_multiple.jpg','several');">
+                        <img src="<!--{$TPL_URLPATH}-->img/button/btn_multiple.jpg" alt="複数のお届け先に送る" border="0" name="several" id="several" /></a>
+                    </li>
                 <!--{else}-->
-                <li>
-                    <input type="image" onmouseover="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_next_on.jpg',this)" onmouseout="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_next.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_next.jpg" alt="次へ" name="singular" id="singular" />
-                </li>
+                    <li>
+                        <input type="image" onmouseover="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_next_on.jpg',this)" onmouseout="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_next.jpg',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_next.jpg" alt="次へ" name="singular" id="singular" />
+                    </li>
                 <!--{/if}-->
             </ul>